summaryrefslogtreecommitdiff
path: root/dev-libs
diff options
context:
space:
mode:
authorCtibor <ctibor.brancik@seznam.cz>2015-01-01 18:39:46 +0100
committerCtibor <ctibor.brancik@seznam.cz>2015-01-01 18:39:46 +0100
commitad6f4fd01f711a319b456c04af600eb707c4afcb (patch)
tree9404bf741be887d323c200fac38295aeaaa4f549 /dev-libs
parent51fc7730b1c6d4769b624272f1dd9aeff974698b (diff)
downloadbrancik-overlay-ad6f4fd01f711a319b456c04af600eb707c4afcb.tar.gz
brancik-overlay-ad6f4fd01f711a319b456c04af600eb707c4afcb.tar.bz2
Added experimental dev-libs/opensc ebuild w/ acos5 support
Diffstat (limited to 'dev-libs')
-rw-r--r--dev-libs/opensc/Manifest1
-rw-r--r--dev-libs/opensc/opensc-0.12.2-r2.ebuild76
2 files changed, 77 insertions, 0 deletions
diff --git a/dev-libs/opensc/Manifest b/dev-libs/opensc/Manifest
new file mode 100644
index 0000000..bc9e106
--- /dev/null
+++ b/dev-libs/opensc/Manifest
@@ -0,0 +1 @@
+EBUILD opensc-0.12.2-r2.ebuild 2046 SHA256 ddaf860291773804f7250208c282e2b91e9fe505e3d0c9d1b423c54aa7b4f445 SHA512 003d933667378b53595eeb66ef76233e825167cb077914692eb88a215ceddeaba01b8bd6f620391ed51f59251f0a56125ce8b459daf9488d90e6c5b3e4f48159 WHIRLPOOL b632a5ea064399cc18c83c39129b1ce55d523115f700463f8a8d39fcbdccd96dc693d85848aaa405aba6823f87ef666087e8506c15a1a70015a7946cc2ff3d6a
diff --git a/dev-libs/opensc/opensc-0.12.2-r2.ebuild b/dev-libs/opensc/opensc-0.12.2-r2.ebuild
new file mode 100644
index 0000000..66562f9
--- /dev/null
+++ b/dev-libs/opensc/opensc-0.12.2-r2.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/opensc/opensc-0.12.2-r2.ebuild,v 1.10 2014/11/06 05:38:04 vapier Exp $
+
+EAPI=4
+
+inherit eutils autotools git-2
+
+DESCRIPTION="Libraries and applications to access smartcards"
+HOMEPAGE="http://www.opensc-project.org/opensc/"
+
+EGIT_REPO_URI="https://github.com/pacew/OpenSC"
+EGIT_BRANCH="acos5"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 m68k ppc ppc64 s390 sh sparc x86"
+IUSE="doc libtool +pcsc-lite openct readline ssl zlib"
+
+# Drop the libtool dep once libltdl goes stable.
+RDEPEND="libtool? ( || ( dev-libs/libltdl:0 <sys-devel/libtool-2.4.3-r2:2 ) )
+ zlib? ( sys-libs/zlib )
+ readline? ( sys-libs/readline )
+ ssl? ( dev-libs/openssl )
+ openct? ( >=dev-libs/openct-0.5.0 )
+ pcsc-lite? ( >=sys-apps/pcsc-lite-1.3.0 )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt"
+
+REQUIRED_USE="
+ pcsc-lite? ( !openct )
+ openct? ( !pcsc-lite )"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-0.12.1-crossbuild.patch
+ epatch "${FILESDIR}"/${P}-parallelinstall.patch
+ epatch "${FILESDIR}"/${P}-dl.patch
+ eautoreconf
+}
+
+src_configure() {
+ # disable everything, enable selectively
+ local myconf="--disable-pcsc --disable-openct --disable-ctapi"
+
+ if use pcsc-lite; then
+ myconf+=" --enable-pcsc"
+ elif use openct; then
+ myconf+=" --enable-openct"
+ else
+ myconf+=" --enable-ctapi"
+ fi
+
+ # the configure script prefers libtool's libltdl over
+ # the native system's dlopen ... so we have to manually
+ # control the behavior to something a bit more sane
+ export ac_cv_header_ltdl_h=$(usex libtool) \
+ ac_cv_lib_ltdl_lt_dlopen=$(usex libtool)
+
+ econf \
+ --docdir="/usr/share/doc/${PF}" \
+ --htmldir='$(docdir)/html' \
+ --disable-static \
+ $(use_enable doc) \
+ $(use_enable openct) \
+ $(use_enable readline) \
+ $(use_enable zlib) \
+ $(use_enable ssl openssl) \
+ ${myconf}
+}
+
+src_install() {
+ default
+ find "${ED}"/usr -name '*.la' -delete
+} \ No newline at end of file